GuidesAPI Reference
Guides

How to retrieve usage by billing tag

This tutorial shows how to get your usage using a billing Tag.

This sample request uses org123456789 as the realmId and testtag as the billingTag.

This sample request uses org123456789 as the realmId, 2021-07-01T10:39:51 as the startDate, 2021-08-30T10:39:51 as the endDate, and testtag as the billingTag.

    GET https://usage.bam.api.here.com/v2/usage/realms/org123456789/startDate=2021-07-01T10:39:51&endDate=2021-08-30T10:39:51&billingTag=testtag

Parameters

The parameters shown here are only those required for this sample request. For a complete list of parameters, see the Cost Management Usage API v2 API Reference.

realmId requiredstring [ 5 ... 30 ] characters.
Example: org123456789
Your org ID.
startDate
required
string "date-time".
*Example:*startDate=yyyy-MM-dd'T'HH:mm:ss
Start date for a search.
endDate
required
string "date-time".
*Example:*endDate=yyyy-MM-dd'T'HH:mm:ss
End date for a search.
billingTagstring less than or equal to 500 characters.
*Example:*billingTag=testtag
Billing tags can combine costs on your invoices.

Header parameters

X-Request-IDstring
User-provided token that can trace a request or a group of requests sent to the service.
X-Correlation-ID
required
string
Auto-generated ID, which uniquely identifies the request, available in the response. When contacting the support team with an inquiry regarding a specific request, provide the value of this header. This helps when troubleshooting the issue.

Response: HTTP 200 OK

The request returns the following sample response:

{
    "total": 2,
    "limit": 100,
    "items": [
        {
            "realmId": "org123456789",
            "featureId": "hrn:here:service::org123456789:feature1",
            "category": "Location Services",
            "name": "Autocomplete",
            "valueDriver": "Transactions",
            "usageValue": 144940.0000,
            "billableValue": 144940.0000
        },
        {
            "realmId": "org123456789",
            "featureId": "hrn:here:service::org123456789:feature2",
            "category": "Location Services",
            "name": "Geocode & Reverse Geocode",
            "valueDriver": "Transactions",
            "usageValue": 91932.0000,
            "billableValue": 91932.0000
        }
    ],
    "nextOffset": 0,
    "lastOffset": 0
}